/**
 * 计分牌
 */
import React, { PureComponent } from 'react';
import padStart from 'lodash/padStart';
import NumberCard from './NumberCard';
import {getValue} from '@icode-run/component-layout/utils/tools';

import styles from './index.module.less';

export default class FlipBoard extends PureComponent {
  static defaultProps = {
    value: 0,
    size: 6
  }
  static renderCards = (digit, size, i) => (
  <NumberCard
    key={i}
    width={size}
    height={size * 1.2}
    value={Number(digit)} />
  )

  render() {
    const { size, data = [], dataKeys, length, className = '', style = {} } = this.props;
    let value = getValue(data, dataKeys);
    value = (value[0] && parseInt(value[0])) || 0;
    const newLength = length || value > 0 ? (value + '').length : 6;
    return (
      <div className={`${styles.componentFlipBoard} ${className}`} style={style}>
      {
        padStart(String(Math.round(value)), newLength, '0')
          .split('')
          .map((d, i) => FlipBoard.renderCards(d, size, i))
      }
      </div>
    );
  }
}